package com.happy.service;

import com.happy.Model.Booking;
import com.happy.Model.BookingLog;
import com.happy.dto.BookTypeEto;
import com.happy.dto.IPage;

import java.util.List;

public interface BookinglogService {

    /**
     * 描述：新增
     * @param book
     * @return
     */
    int insertBookinglog(BookingLog book);

    BookingLog addBooklog(String operate, Booking booking);

    /**
     * 描述：修改
     * @param book
     * @return
     */
    int updateBookinglog(BookingLog book);

    int insertBooking(BookingLog book);

    /**
     * 描述：删除
     * @param id
     * @return
     */
    int delBookinglog(int id);

    /**
     * 描述：根据Id查询详细
     * @param id
     * @return
     */
    BookingLog getById(String id);

    /**
     * 描述：分页查询
     * @param sqlx
     * @param page
     * @param rows
     * @return
     */
    IPage<BookingLog> queryPage(String sqlx, int page, int rows);

    /**
     * 描述：查询列表
     * @param sqlx
     * @return
     */
    List<BookingLog> queryList(String sqlx);

    /**
     * 删除订单(假删除)
     * @param bookingId
     * @return
     */
    String delBooking(String bookingId);

}
